Skip to navigation

Get nodepool

View as Markdown
Get nodepool

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

nodepoolIdstringRequired
The unique id identifying the Node Pool.

Response

Requested nodepool
namestring>=1 character
labelKeystring>=1 character

Label key for associated nodes to the Node Pool (with value as in labelValue)

labelValuestring>=1 character

Label value for associated nodes to the Node Pool (with key as in labelKey)

clusterIdstringformat: "uuid"
idstringRead-only
The NodePool id
tenantIdinteger
The id of the tenant.
clusterNamestring
createdBystring
createdAtdatetime
updatedBystring
updatedAtdatetime
isDefaultboolean
Is the Node Pool is the cluster default
gpuNetworkAccelerationLabelKeystringOptional
Label key by which to determine GPUNetworkAccelerationDetection nodes
gpuNetworkAccelerationDetectionenumOptionalDefaults to Auto
GPUNetworkAccelerationDetection is a strategy to use for GPU Network Acceleration detection
Allowed values:
networkTopologyNamestringOptionalformat: "^[a-z]([a-z0-9-]*[a-z0-9])?$"1-63 characters
Name of the network topology
networkTopologyIdstringOptionalformat: "uuid"
The unique identifier for the network topology
schedulingConfigurationobjectOptional
phaseenumOptional
Phase of Node Pool
phaseMessagestringOptional
Message for status of Node Pool
statusobjectOptional
deletedBystringOptional
deletedAtdatetime or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error